|       PONTIFICIA UNIVERSIDAD CATÓLICA MADRE Y MAESTRA        |
| :----------------------------------------------------------: |
| ![PUCMM](https://upload.wikimedia.org/wikipedia/commons/thumb/2/25/EscudoPucmm.gif/240px-EscudoPucmm.gif) |
|          **FACULTAD DE CIENCIAS DE LA INGENIERÍA**           |
|         **ESCUELA DE SISTEMAS Y TELECOMUNICACIONES**         |
|                       ST-ITT-463-T-001                       |
|                          **TAREA:**                          |
|                            *SS7*                             |
|                     **PRESENTADO POR:**                      |
|                *OSCAR JOSUE RODRIGUEZ BLANCO*                |
|                         *2014-0147*                          |
|                      **PRESENTADO A:**                       |
|                    *ING. PABLO RODRIGUEZ*                    |
|                    **FECHA DE ENTREGA:**                     |
|                 *LUNES, 13 DE MAYO DEL 2019*                 |
|     **SANTIAGO DE LOS CABALLEROS, REPÚBLICA DOMINICANA**     |
|                             ---                              |

---

---

# Tabla de Contenidos



[TOC]



# Introducción

En este documento vamos a hablar sobre el Sistema de señalización por canal común n.º 7, este es un sistema que se encarga del control en muchos de los sistemas **PSTN** que se utilizaron. Desarrollados por los laboratorios Bell, este sistema fue de gran utilidad tanto con su uso principal del control de inicios y cierres de llamadas como también en los sistemas de facturación prepago y todos sus otros usos.

En este tema vamos a abordar ciertos puntos:

+ Funcionalidad.
  + Modos de señalización.
+ Red física
+ Conjunto de Protocolos
  + BSSAP
+ Vulnerabilidades

Todos estos temas a tratar tienen el objetivo de poder conocer mas a fondo la idea de como funcionaba este sistema y cuales fueron sus virtudes, así como también algo muy importante que fueron sus grandes vulnerabilidades, que fueron en su momento de las mas grandes amenazas a la seguridad publica que pudieron haber, pues se veían comprometidas millones de cuentas de Internet y la ubicación de muchos de los usuarios.

# SS7

## Definición

Es un conjunto de protocolos de señalización el cual se utiliza para iniciar/terminar llamadas en sistemas de **PSTN** a nivel mundial. Ademas de esto es también capaz de traducir números de teléfono de manera local, portabilidad local, facturación de prepago y el envío de SMS.

A nivel internacional el protocolo funciona baso la serie de la **_ITU-T_ Q.700**, recomendaciones que fueron publicadas en el 1988 y que se siguieron actualizando en muchos países para el uso nacional según sus entidades reguladoras locales. El Internet Engineering Task Force diseño el sistema **SIGTRAN**, que no es mas que un conjunto de protocolos nivel 2, 3 y 4 compatibles con **SS7**, creado para poder ser utilizado con redes IP.

## Funcionalidad

La señalización de canal común es un tipo de señalización en el que se utiliza una ruta y sistemas independientes de los canales de voz para poder controlar las llamadas, esto nos permite tener un nivel de eficiencia enormemente mayor y nos permite aprovechar al máximo ambos canales.

Muchas de las cosas que nos permitió en **SS7** que no podíamos lograr antes de el fueron:

+ Desvió de llamadas.
+ Mensajes de voz.
+ Llamadas en espera.
+ Llamadas en conferencia.
+ Caller ID display.
+ Identificación de llamada maliciosa.
+ Callback en llamadas ocupadas.

Ademas de todos estos usos se lograron cosas como ubicación de sistemas de telefono celular o portabilidad local de telefonos, debido a que ya no era necesario pertenecer a un cierto switch, tambien muchas de las operaciones internas de la proveedora de servicios se comenzaron a mover a traves de **SS7**.

### Modos de señalización

El **SS7** fue creado con dos modos de operacion, uno es el modo de asociado y el otro es el modo de casi asociado, estos modos dependen de la forma en que se conecta la red de **SS7**

#### Modo de asociado

La señalización viaja de switch a switch a traves de la **PSTN**, siguiendo la misma ruta que siguen los canales telefonicos, este es un modo de operacion mas barato para las redes que no son de gran envergadura.

#### Modo de casi asociado

En este modo la señalización viaja desde el switch origen hasta el switch destino a traves de una red independiente para **SS7** que tiene sus propios nodos, este sistema es mucho mas conveniente para grandes redes que tienen troncales muy ocupados y resdes muy complejas.

## Red Física

Una red de **SS7** tiene la posibilidad de funcionar con equipos mixtos, pero esto no nos ayuda a obtener el maximo beneficio que se le podria sacar a este conjunto de protocolos. En Europa se suelen utilizar sistemas en modo asociado, mientras que en los EEUU se utiliza el modo de casi asociado. Indepemndientemente del modo existen muchos tipos de links que se utilizan en este sistema y cada uno tiene su función.

Todos estos tipos de enlaces interconectan basicamente tres tipos de Nodos:

+ **S**ervice **S**witching **P**oint:Es quien responde primero al marcado de un numero telefonico, quien envia la senal a la central de que se ha marcado cierto numero de telefono.
+ **S**ignal **T**ransfer **P**oint: Es simplemente un enrutador que encamina las señales que envian los SSP o SCP, o algun otro punto especializado que pudiese existir.
+ **S**ervice **C**ontrol **P**oint: Es, como dice su nombre, un punto encargado de controlar algun servicio en especifico. Este se comunica con una base d edatos para decidir donde va una llamada o con otro periferico para enviar un mensaje de voz en caso que este ocupado o algo de este tipo.

Los puntos de enlace son Comunmente o simplemente enviados por DS0 individuales o por todo un enlace de T1 o E1 en dependencia del pais. Existen 6 tipos de enlaces que son:

+ **A**cces Link: Conecta los **STP** a los puntos de señalización. 
+ **B**ridge Link: Conecta los **STP** de regiones diferentes.
+ **C**ross Link: Conecta los **STP** de la misma region.
+ **D**iagonal Link: Conecta los **STP** de diferente grado ~~como por ejemplo regional a local local~~.
+ **E**xtend Link: Conecta un **SP** de una region a un **STP** de otra.
+ **F**ull-associated Link: Conecta **SP**s entre ellos.

## Suite de protocolos

| OSI equivalente |                           Protocolos |
| :-------------- | -----------------------------------: |
| Aplicación      | INAP, MAP, IS-41, TCAP, CAP, ISUP... |
| Red             |                     MTP level3, SCCP |
| Enlace de datos |                          MTP level 2 |
| Física          |                          MTP level 1 |

## Vulnerabilidades

1. (2008) se publica una vulnerabilidad que permite ubicar a todos los usuarios de telefonos en redes con **SS7**.
2. (2014) en adicion ahora se encuentra una vulnerabilidad que permite que a nivel global se ubique cualquier numero de telefono ademas de ahora poder revisar las llamadas telefonicas y mensajes de todos los usuarios.
3. (2016) una operadora en Noruega se vuelve inestable debido a "Señalización inusual"de parte de otro operador europeo.
4. (2017) una operadora alemana asegura que se estuvieron accediendo a cuentas bancarias con doble autenticacion debido a una vulnerabilidad que permitia acceder a los mensajes de telefono.
5. (2018) se publican herramientas para detectar vulnerabilidades a traves de la red con wireshark y snort.